Skip to main content
Infrastructure/Collects
PUTInfrastructureSince 1.0SynchronousAuth Required

UpdatePlatformLogs

Update a log collection configuration for the specified platform and log.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform that owns the log configuration

  • logUuidStringRequired

    UUID of the specific log configuration to update

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

PUT/api/v1/collects/platform/{platformUuid}/log/{logUuid}

/api/v1/collects/platform/{platformUuid}/log/{logUuid}

Operation ID

UpdatePlatformLogs

Permalink

Request Example

curl -X PUT '{host}/api/v1/collects/platform/{platformUuid}/log/{logUuid}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history